package com.njcn.pojo.configuration;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Auther denghuajun
 * @Date 2021/7/21
 * @describe 修改终端状态日志
 */
@Table(name = "PQS_TerminalLogs")
public class TerminalLogs {
    @Id
    @Column(name = "LOGS_INDEX")
    private String logsIndex;
    @Column(name = "OBJ_INDEX")
    private String objIndex;
    @Column(name = "TERMINAL_DESCRIBE")
    private String terminalDescribe;
    @Column(name = "UPDATETIME")
    private Date updateTime;
    @Column(name = "USER_INDEX")
    private  String userIndex;
    @Column(name = "TERMINAL_TYPE")
    private String terminalType;

    public String getLogsIndex() {
        return logsIndex;
    }

    public void setLogsIndex(String logsIndex) {
        this.logsIndex = logsIndex;
    }


    public String getObjIndex() {
        return objIndex;
    }

    public void setObjIndex(String objIndex) {
        this.objIndex = objIndex;
    }

    public String getTerminalDescribe() {
        return terminalDescribe;
    }

    public void setTerminalDescribe(String terminalDescribe) {
        this.terminalDescribe = terminalDescribe;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUserIndex() {
        return userIndex;
    }

    public void setUserIndex(String userIndex) {
        this.userIndex = userIndex;
    }

    public String getTerminalType() {
        return terminalType;
    }

    public void setTerminalType(String terminalType) {
        this.terminalType = terminalType;
    }

    @Override
    public String toString() {
        return "TerminalLogs{" +
                "logsIndex='" + logsIndex + '\'' +
                ", objIndex=" + objIndex +
                ", terminalDescribe='" + terminalDescribe + '\'' +
                ", updateTime=" + updateTime +
                ", userIndex='" + userIndex + '\'' +
                ", terminalType=" + terminalType +
                '}';
    }
}
